Browser crashes indiscriminately.

RESOLVED INVALID

Status

Camino Graveyard
General
--
critical
RESOLVED INVALID
15 years ago
15 years ago

People

(Reporter: Emanuel Ravelli, Assigned: saari (gone))

Tracking

({crash})

Details

(URL)

Attachments

(1 obsolete attachment)

(Reporter)

Description

15 years ago
User-Agent:       Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.4a) Gecko/20030308 Chimera/0.7+
Build Identifier: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.4a) Gecko/20030308 Chimera/0.7+

The browser crashes for seemingly no reason. It SEEMS to happen when a link has
been clicked--even within a current site. Very unpredictable even on Yahoo!

Reproducible: Sometimes

Steps to Reproduce:
1. See above.
Actual Results:  
Browser crashes.

Expected Results:  
Well... Not crash. 

I have copies of Camino.crash.log and Navigator.crash.log. Will supply them on
request. Sorry I can't narrow down the cause or circumstances of the crashes.
This is also a problem with Mozilla--which I rarely use.

Comment 1

15 years ago
Please specified the Camino build your running.
Summary: Browser crashes indiscriminately. → Browser crashes indiscriminately.
(Reporter)

Comment 2

15 years ago
Build ID: 2003030808

Sorry. Senior moment.

Comment 3

15 years ago
Please attach your stack trace. This problem sounds related to a known general
plugin crash.

Comment 4

15 years ago
Emanuel, also ensure you have TalkBack enabled. Also, if you do attach
Camino.crash.log, be sure to only attach the relevant individual report in that
log, not the entire log.
Keywords: crash
(Reporter)

Comment 5

15 years ago
Talkback is enabled. I attached full crash logs because that's what was
requested in the past.

Comment 6

15 years ago
Please attach them to the bug using the link "Create a New Attachment" that's
above the text entry field in bugzilla.
(Reporter)

Comment 7

15 years ago
Created attachment 116912 [details]
Zipped crash logs

This is a chronic issue that preceded Camino. So, I'm also attaching the
Navigator crash log.

Comment 8

15 years ago
Comment on attachment 116912 [details]
Zipped crash logs

Emanuel, attaching the entire crash log isn't helpful, as it contains reports
about a variety of crashes. Please attach a *single report* from one of the
crashes.
Attachment #116912 - Attachment is obsolete: true
(Reporter)

Comment 9

15 years ago
Greg,



I'm embarrassed to say so, but I don't know how to find the "single report" you
need. Is it within the crash log?



I'm not a computer professional. Please forgive my ignorance.




Ravelli

Comment 10

15 years ago
Emanuel, if you examine the Camino.crash.log, you'll see it contains several
crash reports, each headed by a date and time stamp and separated by a line of
asterisks. Each time Camino crashes, a new report is appended to the bottom of
the log.

The next time Camino crashes in this manner for you, copy that newest crash
report into a new text file, and attach it to this bug.
(Reporter)

Comment 11

15 years ago
Excellent. Thank you, Greg. I'll follow up using your instructions.
(Reporter)

Comment 12

15 years ago
First crash today (March 14, 2003); log entry follows.
--
Date/Time:  2003-03-14 11:11:07 -0800
OS Version: 10.2.4 (Build 6I32)
Host:       Jay-Cohens-Computer.local.

Command:    Camino
PID:        431

Exception:  EXC_BAD_ACCESS (0x0001)
Codes:      KERN_PROTECTION_FAILURE (0x0002) at 0x00000003

Thread 0 Crashed:
 #0   0x01fe7a08 in SCIMSendMessageToUIServerWithReply
 #1   0x01fe7dec in SCIMSendGetKeyboardLayoutMessage
 #2   0x01fe6df4 in SCIMSessionActivate
 #3   0x90222d70 in CallComponentFunctionCommon
 #4   0x01fe4d84 in SCIMComponentDispatch
 #5   0x96adad8c in ActivateTextService
 #6   0x96c01538 in utActivateInputMethod
 #7   0x96c0144c in utActivateIM4Document
 #8   0x96c025c8 in utOpenActivateThisDocsInputMethod
 #9   0x96a4c01c in utActivateAllIMForScriptInDocIterator
 #10  0x969e6e7c in tsmCFDictionaryApplyFunctionOverClassKeys
 #11  0x96a37564 in utActivateAllIMForScriptInDoc
 #12  0x969eb288 in MyActivateTSMDocument
 #13  0x96a5a550 in ActivateTSMDocument
 #14  0x931a66cc in -[NSTSMInputContext _activate]
 #15  0x930defc8 in +[NSInputContext updateInputContexts]
 #16  0x930ad7ec in -[NSApplication updateWindows]
 #17  0x930aa29c in _handleWindowsNeedUpdateNote
 #18  0x90148584 in __CFRunLoopDoObservers
 #19  0x901488f4 in __CFRunLoopRun
 #20  0x90180fe4 in CFRunLoopRunSpecific
 #21  0x969a3160 in RunCurrentEventLoopInMode
 #22  0x969b3090 in ReceiveNextEventCommon
 #23  0x969da208 in BlockUntilNextEventMatchingListInMode
 #24  0x9308d8ac in _DPSNextEvent
 #25  0x9309fb04 in -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:]
 #26  0x930b15e4 in -[NSApplication run]
 #27  0x9315f6b8 in NSApplicationMain
 #28  0x00004ff0 in _start
 #29  0x00004e70 in start

Thread 1:
 #0   0x90073c48 in mach_msg_trap
 #1   0x90005f90 in mach_msg
 #2   0xc0007758 in __ape_internal
 #3   0xc0001160 in __ape_agent
 #4   0x90020d48 in _pthread_body

Thread 2:
 #0   0x900257ac in select
 #1   0x0101c67c in poll
 #2   0x01018e50 in _pr_poll_with_poll
 #3   0x0017e2bc in _ZN24nsSocketTransportService3RunEv
 #4   0x05052758 in _ZN8nsThread4MainEPv
 #5   0x0101a2bc in _pt_root
 #6   0x90020d48 in _pthread_body

Thread 3:
 #0   0x9003eaa8 in semaphore_wait_signal_trap
 #1   0x9003e8c4 in _pthread_cond_wait
 #2   0x010154f8 in PR_WaitCondVar
 #3   0x0014d0a4 in _ZN12nsDNSService15DequeuePendingQEv
 #4   0x0014cad0 in _ZN12nsDNSService3RunEv
 #5   0x05052758 in _ZN8nsThread4MainEPv
 #6   0x0101a2bc in _pt_root
 #7   0x90020d48 in _pthread_body

Thread 4:
 #0   0x90042688 in semaphore_timedwait_signal_trap
 #1   0x9003e8b4 in _pthread_cond_wait
 #2   0x010152bc in pt_TimedWait
 #3   0x0101550c in PR_WaitCondVar
 #4   0x0505616c in _ZN11TimerThread3RunEv
 #5   0x05052758 in _ZN8nsThread4MainEPv
 #6   0x0101a2bc in _pt_root
 #7   0x90020d48 in _pthread_body

Thread 5:
 #0   0x9003eaa8 in semaphore_wait_signal_trap
 #1   0x9003e8c4 in _pthread_cond_wait
 #2   0x90824180 in -[NSConditionLock lockWhenCondition:]
 #3   0x93081388 in -[NSUIHeartBeat _heartBeatThread:]
 #4   0x9081cd38 in forkThreadForFunction
 #5   0x90020d48 in _pthread_body

Thread 6:
 #0   0x9003eaa8 in semaphore_wait_signal_trap
 #1   0x9003e8c4 in _pthread_cond_wait
 #2   0x010154f8 in PR_WaitCondVar
 #3   0x05053844 in _ZN12nsThreadPool10GetRequestEP9nsIThread
 #4   0x05054130 in _ZN20nsThreadPoolRunnable3RunEv
 #5   0x05052758 in _ZN8nsThread4MainEPv
 #6   0x0101a2bc in _pt_root
 #7   0x90020d48 in _pthread_body

PPC Thread State:
  srr0: 0x01fe7a08 srr1: 0x0200f930                vrsave: 0x00000000
   xer: 0x00000000   lr: 0x01fe79fc  ctr: 0x93002808   mq: 0x00000000
    r0: 0x01fe79fc   r1: 0xbfffe7b0   r2: 0x24004280   r3: 0x00000000
    r4: 0x4b624c3f   r5: 0x00000000   r6: 0xbfffe890   r7: 0x00000000
    r8: 0x00d42010   r9: 0xffffffff  r10: 0x02418010  r11: 0x01fed744
   r12: 0x93002808  r13: 0x00000000  r14: 0x00000000  r15: 0x00000001
   r16: 0x00000000  r17: 0xbffff750  r18: 0x00000000  r19: 0x00000001
   r20: 0x00000000  r21: 0xa69aae8c  r22: 0xa699ae8c  r23: 0x00000001
   r24: 0x000000f0  r25: 0x4b624c3f  r26: 0xbfffe890  r27: 0x01fe79bc
   r28: 0x00000000  r29: 0x00000000  r30: 0x01a457a8  r31: 0x01fe79bc
(Reporter)

Comment 13

15 years ago
Second crash (March 3, 2003).
**********

Date/Time:  2003-03-14 11:31:08 -0800
OS Version: 10.2.4 (Build 6I32)
Host:       Jay-Cohens-Computer.local.

Command:    Camino
PID:        398

Exception:  EXC_BAD_ACCESS (0x0001)
Codes:      KERN_PROTECTION_FAILURE (0x0002) at 0x0000000f

Thread 0 Crashed:
 #0   0x969eb004 in MyActivateTSMDocument
 #1   0x96a5a550 in ActivateTSMDocument
 #2   0x931a66cc in -[NSTSMInputContext _activate]
 #3   0x930defc8 in +[NSInputContext updateInputContexts]
 #4   0x930ad7ec in -[NSApplication updateWindows]
 #5   0x930aa29c in _handleWindowsNeedUpdateNote
 #6   0x90148584 in __CFRunLoopDoObservers
 #7   0x901488f4 in __CFRunLoopRun
 #8   0x90180fe4 in CFRunLoopRunSpecific
 #9   0x969a3160 in RunCurrentEventLoopInMode
 #10  0x969b3118 in ReceiveNextEventCommon
 #11  0x969da208 in BlockUntilNextEventMatchingListInMode
 #12  0x9308d8ac in _DPSNextEvent
 #13  0x9309fb04 in -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:]
 #14  0x930b15e4 in -[NSApplication run]
 #15  0x9315f6b8 in NSApplicationMain
 #16  0x00004ff0 in _start
 #17  0x00004e70 in start

Thread 1:
 #0   0x90073c48 in mach_msg_trap
 #1   0x90005f90 in mach_msg
 #2   0xc0007758 in __ape_internal
 #3   0xc0001160 in __ape_agent
 #4   0x90020d48 in _pthread_body

Thread 2:
 #0   0x900257ac in select
 #1   0x0101c67c in poll
 #2   0x01018e50 in _pr_poll_with_poll
 #3   0x0017e2bc in _ZN24nsSocketTransportService3RunEv
 #4   0x05052758 in _ZN8nsThread4MainEPv
 #5   0x0101a2bc in _pt_root
 #6   0x90020d48 in _pthread_body

Thread 3:
 #0   0x9003eaa8 in semaphore_wait_signal_trap
 #1   0x9003e8c4 in _pthread_cond_wait
 #2   0x010154f8 in PR_WaitCondVar
 #3   0x0014d0a4 in _ZN12nsDNSService15DequeuePendingQEv
 #4   0x0014cad0 in _ZN12nsDNSService3RunEv
 #5   0x05052758 in _ZN8nsThread4MainEPv
 #6   0x0101a2bc in _pt_root
 #7   0x90020d48 in _pthread_body

Thread 4:
 #0   0x90042688 in semaphore_timedwait_signal_trap
 #1   0x9003e8b4 in _pthread_cond_wait
 #2   0x010152bc in pt_TimedWait
 #3   0x0101550c in PR_WaitCondVar
 #4   0x0505616c in _ZN11TimerThread3RunEv
 #5   0x05052758 in _ZN8nsThread4MainEPv
 #6   0x0101a2bc in _pt_root
 #7   0x90020d48 in _pthread_body

Thread 5:
 #0   0x9003eaa8 in semaphore_wait_signal_trap
 #1   0x9003e8c4 in _pthread_cond_wait
 #2   0x90824180 in -[NSConditionLock lockWhenCondition:]
 #3   0x93081388 in -[NSUIHeartBeat _heartBeatThread:]
 #4   0x9081cd38 in forkThreadForFunction
 #5   0x90020d48 in _pthread_body

Thread 6:
 #0   0x9003eaa8 in semaphore_wait_signal_trap
 #1   0x9003e8c4 in _pthread_cond_wait
 #2   0x010154f8 in PR_WaitCondVar
 #3   0x05053844 in _ZN12nsThreadPool10GetRequestEP9nsIThread
 #4   0x05054130 in _ZN20nsThreadPoolRunnable3RunEv
 #5   0x05052758 in _ZN8nsThread4MainEPv
 #6   0x0101a2bc in _pt_root
 #7   0x90020d48 in _pthread_body

PPC Thread State:
  srr0: 0x969eb004 srr1: 0x0200f930                vrsave: 0x00000000
   xer: 0x00000000   lr: 0x969eaff4  ctr: 0x90227250   mq: 0x00000000
    r0: 0x969eaff4   r1: 0xbfffece0   r2: 0x24004280   r3: 0x00ffa834
    r4: 0xffffff80   r5: 0xffffff80   r6: 0x8fe4d4c8   r7: 0x00000022
    r8: 0x00d42010   r9: 0xa69a0f80  r10: 0x96a6c248  r11: 0x00000000
   r12: 0x90227250  r13: 0x00000000  r14: 0x00000000  r15: 0x00000001
   r16: 0x00000000  r17: 0xbffff750  r18: 0x00000000  r19: 0x00000000
   r20: 0x00000000  r21: 0x00000002  r22: 0x00d43338  r23: 0xa699ae8c
   r24: 0x00000000  r25: 0x00ffa834  r26: 0xa69aae8c  r27: 0xffffffff
   r28: 0x00000001  r29: 0x88002244  r30: 0x00000000  r31: 0x969eae8c
(Reporter)

Comment 14

15 years ago
Third crash today (March 14, 2003).
**********

Date/Time:  2003-03-14 12:38:33 -0800
OS Version: 10.2.4 (Build 6I32)
Host:       Jay-Cohens-Computer.local.

Command:    Camino
PID:        426

Exception:  EXC_BAD_ACCESS (0x0001)
Codes:      KERN_PROTECTION_FAILURE (0x0002) at 0x00000013

Thread 0 Crashed:
 #0   0x907ea1b0 in -[NSBigMutableString characterAtIndex:]
 #1   0x93116474 in -[NSTextView mouseDown:]
 #2   0x93321688 in -[NSTextField mouseDown:]
 #3   0x930c0888 in -[NSWindow sendEvent:]
 #4   0x00036c80 in -[BrowserWindow sendEvent:]
 #5   0x930a8788 in -[NSApplication sendEvent:]
 #6   0x930b1608 in -[NSApplication run]
 #7   0x9315f6b8 in NSApplicationMain
 #8   0x00004ff0 in _start
 #9   0x00004e70 in start

Thread 1:
 #0   0x90073c48 in mach_msg_trap
 #1   0x90005f90 in mach_msg
 #2   0xc0007758 in __ape_internal
 #3   0xc0001160 in __ape_agent
 #4   0x90020d48 in _pthread_body

Thread 2:
 #0   0x900257ac in select
 #1   0x0101c67c in poll
 #2   0x01018e50 in _pr_poll_with_poll
 #3   0x0017e2bc in _ZN24nsSocketTransportService3RunEv
 #4   0x05052758 in _ZN8nsThread4MainEPv
 #5   0x0101a2bc in _pt_root
 #6   0x90020d48 in _pthread_body

Thread 3:
 #0   0x9003eaa8 in semaphore_wait_signal_trap
 #1   0x9003e8c4 in _pthread_cond_wait
 #2   0x010154f8 in PR_WaitCondVar
 #3   0x0014d0a4 in _ZN12nsDNSService15DequeuePendingQEv
 #4   0x0014cad0 in _ZN12nsDNSService3RunEv
 #5   0x05052758 in _ZN8nsThread4MainEPv
 #6   0x0101a2bc in _pt_root
 #7   0x90020d48 in _pthread_body

Thread 4:
 #0   0x90042688 in semaphore_timedwait_signal_trap
 #1   0x9003e8b4 in _pthread_cond_wait
 #2   0x010152bc in pt_TimedWait
 #3   0x0101550c in PR_WaitCondVar
 #4   0x0505616c in _ZN11TimerThread3RunEv
 #5   0x05052758 in _ZN8nsThread4MainEPv
 #6   0x0101a2bc in _pt_root
 #7   0x90020d48 in _pthread_body

Thread 5:
 #0   0x90042688 in semaphore_timedwait_signal_trap
 #1   0x9003e8b4 in _pthread_cond_wait
 #2   0x010152bc in pt_TimedWait
 #3   0x0101550c in PR_WaitCondVar
 #4   0x05053808 in _ZN12nsThreadPool10GetRequestEP9nsIThread
 #5   0x05054130 in _ZN20nsThreadPoolRunnable3RunEv
 #6   0x05052758 in _ZN8nsThread4MainEPv
 #7   0x0101a2bc in _pt_root
 #8   0x90020d48 in _pthread_body

Thread 6:
 #0   0x90042688 in semaphore_timedwait_signal_trap
 #1   0x9003e8b4 in _pthread_cond_wait
 #2   0x010152bc in pt_TimedWait
 #3   0x0101550c in PR_WaitCondVar
 #4   0x05053808 in _ZN12nsThreadPool10GetRequestEP9nsIThread
 #5   0x05054130 in _ZN20nsThreadPoolRunnable3RunEv
 #6   0x05052758 in _ZN8nsThread4MainEPv
 #7   0x0101a2bc in _pt_root
 #8   0x90020d48 in _pthread_body

PPC Thread State:
  srr0: 0x907ea1b0 srr1: 0x0200f930                vrsave: 0x00000000
   xer: 0x20000000   lr: 0x907ea1b0  ctr: 0x9068ba3c   mq: 0x00000000
    r0: 0x907ea1b0   r1: 0xbffff000   r2: 0x00000002   r3: 0x00000000
    r4: 0x906a994c   r5: 0x00000013   r6: 0xffffe989   r7: 0xbfffef34
    r8: 0x00000002   r9: 0x00000000  r10: 0x02808010  r11: 0x00000000
   r12: 0x9068ba3c  r13: 0xbffff120  r14: 0x00000000  r15: 0x01d90c90
   r16: 0xa309f6ec  r17: 0x00000002  r18: 0x00fbb500  r19: 0x00000014
   r20: 0x01f83e80  r21: 0xa306f6ec  r22: 0x00000013  r23: 0x024dc230
   r24: 0x01f83ea0  r25: 0x01f84060  r26: 0x00000000  r27: 0x01f84060
   r28: 0x00000003  r29: 0x906ae5c4  r30: 0x00000013  r31: 0x907ea0dc
(Reporter)

Comment 15

15 years ago
Fourth crash today (March 14, 2003).
**********

Date/Time:  2003-03-14 13:28:05 -0800
OS Version: 10.2.4 (Build 6I32)
Host:       Jay-Cohens-Computer.local.

Command:    Camino
PID:        433

Exception:  EXC_BAD_ACCESS (0x0001)
Codes:      KERN_PROTECTION_FAILURE (0x0002) at 0x00000003

Thread 0 Crashed:
 #0   0x01ff1a08 in SCIMSendMessageToUIServerWithReply
 #1   0x01ff1dec in SCIMSendGetKeyboardLayoutMessage
 #2   0x01ff0df4 in SCIMSessionActivate
 #3   0x90222d70 in CallComponentFunctionCommon
 #4   0x01feed84 in SCIMComponentDispatch
 #5   0x96adad8c in ActivateTextService
 #6   0x96c01538 in utActivateInputMethod
 #7   0x96c0144c in utActivateIM4Document
 #8   0x96c025c8 in utOpenActivateThisDocsInputMethod
 #9   0x96a4c01c in utActivateAllIMForScriptInDocIterator
 #10  0x969e6e7c in tsmCFDictionaryApplyFunctionOverClassKeys
 #11  0x96a37564 in utActivateAllIMForScriptInDoc
 #12  0x969eb288 in MyActivateTSMDocument
 #13  0x96a5a550 in ActivateTSMDocument
 #14  0x931a66cc in -[NSTSMInputContext _activate]
 #15  0x930defc8 in +[NSInputContext updateInputContexts]
 #16  0x930ad7ec in -[NSApplication updateWindows]
 #17  0x930aa29c in _handleWindowsNeedUpdateNote
 #18  0x90148584 in __CFRunLoopDoObservers
 #19  0x901488f4 in __CFRunLoopRun
 #20  0x90180fe4 in CFRunLoopRunSpecific
 #21  0x969a3160 in RunCurrentEventLoopInMode
 #22  0x969b3090 in ReceiveNextEventCommon
 #23  0x969da208 in BlockUntilNextEventMatchingListInMode
 #24  0x9308d8ac in _DPSNextEvent
 #25  0x9309fb04 in -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:]
 #26  0x930b15e4 in -[NSApplication run]
 #27  0x9315f6b8 in NSApplicationMain
 #28  0x00004ff0 in _start
 #29  0x00004e70 in start

Thread 1:
 #0   0x90073c48 in mach_msg_trap
 #1   0x90005f90 in mach_msg
 #2   0xc0007758 in __ape_internal
 #3   0xc0001160 in __ape_agent
 #4   0x90020d48 in _pthread_body

Thread 2:
 #0   0x900257ac in select
 #1   0x0101c67c in poll
 #2   0x01018e50 in _pr_poll_with_poll
 #3   0x0017e2bc in _ZN24nsSocketTransportService3RunEv
 #4   0x05052758 in _ZN8nsThread4MainEPv
 #5   0x0101a2bc in _pt_root
 #6   0x90020d48 in _pthread_body

Thread 3:
 #0   0x9003eaa8 in semaphore_wait_signal_trap
 #1   0x9003e8c4 in _pthread_cond_wait
 #2   0x010154f8 in PR_WaitCondVar
 #3   0x0014d0a4 in _ZN12nsDNSService15DequeuePendingQEv
 #4   0x0014cad0 in _ZN12nsDNSService3RunEv
 #5   0x05052758 in _ZN8nsThread4MainEPv
 #6   0x0101a2bc in _pt_root
 #7   0x90020d48 in _pthread_body

Thread 4:
 #0   0x90042688 in semaphore_timedwait_signal_trap
 #1   0x9003e8b4 in _pthread_cond_wait
 #2   0x010152bc in pt_TimedWait
 #3   0x0101550c in PR_WaitCondVar
 #4   0x0505616c in _ZN11TimerThread3RunEv
 #5   0x05052758 in _ZN8nsThread4MainEPv
 #6   0x0101a2bc in _pt_root
 #7   0x90020d48 in _pthread_body

Thread 5:
 #0   0x9003eaa8 in semaphore_wait_signal_trap
 #1   0x9003e8c4 in _pthread_cond_wait
 #2   0x010154f8 in PR_WaitCondVar
 #3   0x05053844 in _ZN12nsThreadPool10GetRequestEP9nsIThread
 #4   0x05054130 in _ZN20nsThreadPoolRunnable3RunEv
 #5   0x05052758 in _ZN8nsThread4MainEPv
 #6   0x0101a2bc in _pt_root
 #7   0x90020d48 in _pthread_body

Thread 6:
 #0   0x9003eaa8 in semaphore_wait_signal_trap
 #1   0x9003e8c4 in _pthread_cond_wait
 #2   0x90824180 in -[NSConditionLock lockWhenCondition:]
 #3   0x93081388 in -[NSUIHeartBeat _heartBeatThread:]
 #4   0x9081cd38 in forkThreadForFunction
 #5   0x90020d48 in _pthread_body

Thread 7:
 #0   0x90073c48 in mach_msg_trap
 #1   0x90005f90 in mach_msg
 #2   0x90148b10 in __CFRunLoopRun
 #3   0x90180fe4 in CFRunLoopRunSpecific
 #4   0x94d9c1c0 in _ZN10HALRunLoop9OwnThreadEPv
 #5   0x94d911b0 in _ZN9CAPThread5EntryEPS_
 #6   0x90020d48 in _pthread_body

PPC Thread State:
  srr0: 0x01ff1a08 srr1: 0x0200f930                vrsave: 0x00000000
   xer: 0x00000000   lr: 0x01ff19fc  ctr: 0x93002808   mq: 0x00000000
    r0: 0x01ff19fc   r1: 0xbfffe7b0   r2: 0x24004280   r3: 0x00000000
    r4: 0x4b624c3f   r5: 0x00000000   r6: 0xbfffe890   r7: 0x00000000
    r8: 0x00d42010   r9: 0xffffffff  r10: 0x02b1f010  r11: 0x01ff7744
   r12: 0x93002808  r13: 0x00000000  r14: 0x00000000  r15: 0x00000001
   r16: 0x00000000  r17: 0xbffff750  r18: 0x00000000  r19: 0x00000001
   r20: 0x00000000  r21: 0xa69aae8c  r22: 0xa699ae8c  r23: 0x00000001
   r24: 0x000000f0  r25: 0x4b624c3f  r26: 0xbfffe890  r27: 0x01ff19bc
   r28: 0x00000000  r29: 0x00000000  r30: 0x00f29144  r31: 0x01ff19bc
(Reporter)

Comment 16

15 years ago
Fifth crash today (March 14, 2003).
**********

Date/Time:  2003-03-14 15:58:16 -0800
OS Version: 10.2.4 (Build 6I32)
Host:       Jay-Cohens-Computer.local.

Command:    Camino
PID:        461

Exception:  EXC_BAD_ACCESS (0x0001)
Codes:      KERN_PROTECTION_FAILURE (0x0002) at 0x00000003

Thread 0 Crashed:
 #0   0x01fe5a08 in SCIMSendMessageToUIServerWithReply
 #1   0x01fe5dec in SCIMSendGetKeyboardLayoutMessage
 #2   0x01fe4df4 in SCIMSessionActivate
 #3   0x90222d70 in CallComponentFunctionCommon
 #4   0x01fe2d84 in SCIMComponentDispatch
 #5   0x96adad8c in ActivateTextService
 #6   0x96c01538 in utActivateInputMethod
 #7   0x96c0144c in utActivateIM4Document
 #8   0x96c025c8 in utOpenActivateThisDocsInputMethod
 #9   0x96a4c01c in utActivateAllIMForScriptInDocIterator
 #10  0x969e6e7c in tsmCFDictionaryApplyFunctionOverClassKeys
 #11  0x96a37564 in utActivateAllIMForScriptInDoc
 #12  0x969eb288 in MyActivateTSMDocument
 #13  0x96a5a550 in ActivateTSMDocument
 #14  0x931a66cc in -[NSTSMInputContext _activate]
 #15  0x930defc8 in +[NSInputContext updateInputContexts]
 #16  0x930ad7ec in -[NSApplication updateWindows]
 #17  0x930aa29c in _handleWindowsNeedUpdateNote
 #18  0x90148584 in __CFRunLoopDoObservers
 #19  0x901488f4 in __CFRunLoopRun
 #20  0x90180fe4 in CFRunLoopRunSpecific
 #21  0x969a3160 in RunCurrentEventLoopInMode
 #22  0x969b3090 in ReceiveNextEventCommon
 #23  0x969da208 in BlockUntilNextEventMatchingListInMode
 #24  0x9308d8ac in _DPSNextEvent
 #25  0x9309fb04 in -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:]
 #26  0x930b15e4 in -[NSApplication run]
 #27  0x9315f6b8 in NSApplicationMain
 #28  0x00004ff0 in _start
 #29  0x00004e70 in start

Thread 1:
 #0   0x90073c48 in mach_msg_trap
 #1   0x90005f90 in mach_msg
 #2   0xc0007758 in __ape_internal
 #3   0xc0001160 in __ape_agent
 #4   0x90020d48 in _pthread_body

Thread 2:
 #0   0x900257ac in select
 #1   0x0101c67c in poll
 #2   0x01018e50 in _pr_poll_with_poll
 #3   0x0017e2bc in _ZN24nsSocketTransportService3RunEv
 #4   0x05052758 in _ZN8nsThread4MainEPv
 #5   0x0101a2bc in _pt_root
 #6   0x90020d48 in _pthread_body

Thread 3:
 #0   0x9003eaa8 in semaphore_wait_signal_trap
 #1   0x9003e8c4 in _pthread_cond_wait
 #2   0x010154f8 in PR_WaitCondVar
 #3   0x0014d0a4 in _ZN12nsDNSService15DequeuePendingQEv
 #4   0x0014cad0 in _ZN12nsDNSService3RunEv
 #5   0x05052758 in _ZN8nsThread4MainEPv
 #6   0x0101a2bc in _pt_root
 #7   0x90020d48 in _pthread_body

Thread 4:
 #0   0x90042688 in semaphore_timedwait_signal_trap
 #1   0x9003e8b4 in _pthread_cond_wait
 #2   0x010152bc in pt_TimedWait
 #3   0x0101550c in PR_WaitCondVar
 #4   0x0505616c in _ZN11TimerThread3RunEv
 #5   0x05052758 in _ZN8nsThread4MainEPv
 #6   0x0101a2bc in _pt_root
 #7   0x90020d48 in _pthread_body

Thread 5:
 #0   0x9003eaa8 in semaphore_wait_signal_trap
 #1   0x9003e8c4 in _pthread_cond_wait
 #2   0x010154f8 in PR_WaitCondVar
 #3   0x05053844 in _ZN12nsThreadPool10GetRequestEP9nsIThread
 #4   0x05054130 in _ZN20nsThreadPoolRunnable3RunEv
 #5   0x05052758 in _ZN8nsThread4MainEPv
 #6   0x0101a2bc in _pt_root
 #7   0x90020d48 in _pthread_body

Thread 6:
 #0   0x9003eaa8 in semaphore_wait_signal_trap
 #1   0x9003e8c4 in _pthread_cond_wait
 #2   0x90824180 in -[NSConditionLock lockWhenCondition:]
 #3   0x93081388 in -[NSUIHeartBeat _heartBeatThread:]
 #4   0x9081cd38 in forkThreadForFunction
 #5   0x90020d48 in _pthread_body

PPC Thread State:
  srr0: 0x01fe5a08 srr1: 0x0200f930                vrsave: 0x00000000
   xer: 0x00000000   lr: 0x01fe59fc  ctr: 0x93002808   mq: 0x00000000
    r0: 0x01fe59fc   r1: 0xbfffe7b0   r2: 0x24004280   r3: 0x00000000
    r4: 0x4b624c3f   r5: 0x00000000   r6: 0xbfffe890   r7: 0x00000000
    r8: 0x00d42010   r9: 0xffffffff  r10: 0x02814010  r11: 0x01feb744
   r12: 0x93002808  r13: 0x00000000  r14: 0x00000000  r15: 0x00000001
   r16: 0x00000000  r17: 0xbffff750  r18: 0x00000000  r19: 0x00000001
   r20: 0x00000000  r21: 0xa69aae8c  r22: 0xa699ae8c  r23: 0x00000001
   r24: 0x000000f0  r25: 0x4b624c3f  r26: 0xbfffe890  r27: 0x01fe59bc
   r28: 0x00000000  r29: 0x00000000  r30: 0x01a57530  r31: 0x01fe59bc

Comment 17

15 years ago
Emanuel, unfortunately those crashes are all unrelated. It won't be very useful
to file them in a bug like this. Rather, ensure TalkBack is enabled, and let it
report crashes as they happen.

(Is TalkBack running for you after these crashes? Are you submitting the reports?)
(Reporter)

Comment 18

15 years ago
TalkBack is running and I have been submitting the reports. Interestingly, these
crashes occur with Mozilla, too. No other browsers are having these issues.

Comment 19

15 years ago
Resolving Invalid since there isn't a single specific issue that can be tracked
here. We'll rely on your TalkBack reports instead, Emanuel.
Status: UNCONFIRMED → RESOLVED
Last Resolved: 15 years ago
Resolution: --- → INVALID
You need to log in before you can comment on or make changes to this bug.